From 129869f512e9c6ba2c6225fadfa258699a98b3fd Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Oct 22 2017 08:36:23 +0000
Subject: [PATCH 993/1001] Add prop to allow making any widget's configuration modal large


---

diff --git a/hubs/static/client/app/components/WidgetConfigDialog.js b/hubs/static/client/app/components/WidgetConfigDialog.js
index 58987da..2d0e158 100644
--- a/hubs/static/client/app/components/WidgetConfigDialog.js
+++ b/hubs/static/client/app/components/WidgetConfigDialog.js
@@ -121,7 +121,7 @@ class WidgetConfigDialog extends React.Component {
     return (
       <Modal
         onCloseClicked={this.handleClose}
-        isLarge={this.props.widget.isReact}
+        isLarge={this.props.widget.isReact || this.props.widget.isLarge}
         title={`Configuring widget ${this.props.widget.label}`}
         footer={footer}
         >
diff --git a/hubs/widgets/base.py b/hubs/widgets/base.py
index dba77a0..07735e4 100644
--- a/hubs/widgets/base.py
+++ b/hubs/widgets/base.py
@@ -37,6 +37,8 @@ class Widget(object):
             cached functions must be looked for.  By default, they are looked
             for in the same module.
         is_react (bool): Set to True if the widget is React-based.
+        is_large (bool): Set to True if the widget configuration modal should
+            be large.
         hidden_if_empty (bool): Set to True if the widget box should be
             entirely hidden from the UI when no data is produced. As a
             consequence, there will also be no progress spinner when the widget
@@ -51,6 +53,7 @@ class Widget(object):
     views_module = None
     cached_functions_module = None
     is_react = False
+    is_large = False
     hidden_if_empty = False
 
     def __init__(self):
@@ -231,6 +234,7 @@ class Widget(object):
             hiddenIfEmpty=self.hidden_if_empty,
             cssClass=self.display_css,
             isReact=self.is_react,
+            isLarge=self.is_large,
             params=[
                 param.to_dict() for param in self.get_parameters()
             ],

